package de.hdm_stuttgart.battlearena.Controller;

import de.hdm_stuttgart.battlearena.Controller.Utilities.SceneLoader;
import javafx.fxml.FXML;
import javafx.scene.layout.VBox;

public class MultiplayerController {
    @FXML
    private VBox parent;
    private final SceneLoader sceneLoader = new SceneLoader();

    @FXML
    private void multiplayerCreateScene() {
        switchScene("MultiplayerCreate");
    }

    @FXML
    private void multiplayerJoinScene() {
        switchScene("MultiplayerJoin");
    }

    @FXML
    private void backButton() {
        switchScene("Play");
    }

    private void switchScene(String name) {
        parent.getChildren().clear();
        parent.getChildren().add(sceneLoader.loadScene(name));
    }
}
